
Redmine - Defect #5565

Email receiving crashes on some emails

2010-05-20 20:33 - Stanislav German-Evtushenko

Status: Closed Start date: 2010-05-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.4

Description

redmine:email:receive_imap crashes on some emails, doesn't move it to "failed" and proccess the next unread email only at the next

running.

Redmine: 0.9-stable (r3728)

Log: 

rake aborted!

stack level too deep

On line #15 of app/views/mailer/_issue_text_html.rhtml

    12: <% end %>

    13: </ul>

    14: 

    15: <%= textilizable(issue, :description, :only_path => false) %>

    lib/redcloth3.rb:1031:in `glyphs_textile'

    lib/redcloth3.rb:1041:in `glyphs_textile'

    lib/redcloth3.rb:1031:in `gsub!'

    lib/redcloth3.rb:1031:in `glyphs_textile'

    lib/redcloth3.rb:1041:in `glyphs_textile'

...

about 6000 lines same as above

...

    lib/redcloth3.rb:1031:in `glyphs_textile'

    lib/redcloth3.rb:1041:in `glyphs_textile'

    lib/redcloth3.rb:1031:in `gsub!'

    lib/redcloth3.rb:1031:in `glyphs_textile'

    lib/redcloth3.rb:1099:in `call'

    lib/redcloth3.rb:1099:in `inline'

    lib/redcloth3.rb:1098:in `each'

    lib/redcloth3.rb:1098:in `inline'

    lib/redcloth3.rb:1097:in `each'

    lib/redcloth3.rb:1097:in `inline'

    lib/redcloth3.rb:306:in `to_html'

    lib/redmine/wiki_formatting/textile/formatter.rb:40:in `to_html'

    lib/redmine/wiki_formatting.rb:47:in `to_html'

    app/helpers/application_helper.rb:427:in `textilizable'

    app/views/mailer/_issue_text_html.rhtml:15:in `_run_rhtml_app47views47mailer47_issue_text_

html46rhtml_locals_issue_issue_text_html_issue_url_object'

    app/views/mailer/issue_add.text.html.rhtml:3:in `_run_rhtml_app47views47mailer47issue_add4

6text46html46rhtml'

    app/models/mailer.rb:375:in `render_multipart'

    app/models/mailer.rb:49:in `issue_add'

    app/models/issue_observer.rb:20:in `after_create'

    /usr/lib/ruby/1.8/observer.rb:185:in `notify_observers'

    /usr/lib/ruby/1.8/observer.rb:184:in `each'

    /usr/lib/ruby/1.8/observer.rb:184:in `notify_observers'

    app/models/mail_handler.rb:148:in `receive_issue'

    app/models/mail_handler.rb:102:in `dispatch'

    app/models/mail_handler.rb:78:in `receive'

    app/models/mail_handler.rb:39:in `receive'
    lib/redmine/imap.rb:35:in `check'

    lib/redmine/imap.rb:32:in `each'

    lib/redmine/imap.rb:32:in `check'

    lib/tasks/email.rake:133

    rake (0.8.7) lib/rake.rb:636:in `call'

    rake (0.8.7) lib/rake.rb:636:in `execute'

    rake (0.8.7) lib/rake.rb:631:in `each'

    rake (0.8.7) lib/rake.rb:631:in `execute'

    rake (0.8.7) lib/rake.rb:597:in `invoke_with_call_chain'

    /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

    rake (0.8.7) lib/rake.rb:590:in `invoke_with_call_chain'

    rake (0.8.7) lib/rake.rb:583:in `invoke'

    rake (0.8.7) lib/rake.rb:2051:in `invoke_task'

    rake (0.8.7) lib/rake.rb:2029:in `top_level'

    rake (0.8.7) lib/rake.rb:2029:in `each'

    rake (0.8.7) lib/rake.rb:2029:in `top_level'

    rake (0.8.7) lib/rake.rb:2068:in `standard_exception_handling'

    rake (0.8.7) lib/rake.rb:2023:in `top_level'

    rake (0.8.7) lib/rake.rb:2001:in `run'

    rake (0.8.7) lib/rake.rb:2068:in `standard_exception_handling'

    rake (0.8.7) lib/rake.rb:1998:in `run'

    rake (0.8.7) bin/rake:31

    /etc/_orga/redmine/rails-2.3.5/bin/rake:19:in `load'

    /etc/_orga/redmine/rails-2.3.5/bin/rake:19

(in /mnt/data/redmine/redmine-0.9)

** Invoke redmine:email:receive_imap (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:email:receive_imap

History

#1 - 2010-05-20 20:38 - Stanislav German-Evtushenko

Probably these email can have wrong charset (encoding) but I'm not sure.

#2 - 2012-12-11 16:49 - Stanislav German-Evtushenko

- Status changed from New to Resolved

Not reproduced even for me anymore, I will reopen the issue if it happens again.

#3 - 2012-12-11 16:50 - Stanislav German-Evtushenko

Hm... I can't close, I can't reopen :)

#4 - 2012-12-11 17:02 - Etienne Massip

- Status changed from Resolved to Closed

Thanks for your feedback.

You should be able to reopen I guess...
